Package org.gdal.gdal

## Class Group

- java.lang.Object
- - org.gdal.gdal.Group

-     public class Group
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Attribute` | `CreateAttribute​(java.lang.String name, int nDimensions, SWIGTYPE_p_GUIntBig dimensions, ExtendedDataType data_type)` |
    `Attribute` | `CreateAttribute​(java.lang.String name, int nDimensions, SWIGTYPE_p_GUIntBig dimensions, ExtendedDataType data_type, java.util.Vector options)` |
    `Dimension` | `CreateDimension​(java.lang.String name, java.lang.String type, java.lang.String direction, java.math.BigInteger size)` |
    `Dimension` | `CreateDimension​(java.lang.String name, java.lang.String type, java.lang.String direction, java.math.BigInteger size, java.util.Vector options)` |
    `Group` | `CreateGroup​(java.lang.String name)` |
    `Group` | `CreateGroup​(java.lang.String name, java.util.Vector options)` |
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `Attribute` | `GetAttribute​(java.lang.String name)` |
    `java.lang.String` | `GetFullName()` |
    `java.util.Vector` | `GetGroupNames()` |
    `java.util.Vector` | `GetGroupNames​(java.util.Vector options)` |
    `java.util.Vector` | `GetMDArrayNames()` |
    `java.util.Vector` | `GetMDArrayNames​(java.util.Vector options)` |
    `java.lang.String` | `GetName()` |
    `java.util.Hashtable` | `GetStructuralInfo()` |
    `java.util.Vector` | `GetVectorLayerNames()` |
    `java.util.Vector` | `GetVectorLayerNames​(java.util.Vector options)` |
    `int` | `hashCode()` |
    `Group` | `OpenGroup​(java.lang.String name)` |
    `Group` | `OpenGroup​(java.lang.String name, java.util.Vector options)` |
    `Group` | `OpenGroupFromFullname​(java.lang.String name)` |
    `Group` | `OpenGroupFromFullname​(java.lang.String name, java.util.Vector options)` |
    `MDArray` | `OpenMDArray​(java.lang.String name)` |
    `MDArray` | `OpenMDArray​(java.lang.String name, java.util.Vector options)` |
    `MDArray` | `OpenMDArrayFromFullname​(java.lang.String name)` |
    `MDArray` | `OpenMDArrayFromFullname​(java.lang.String name, java.util.Vector options)` |
    `Layer` | `OpenVectorLayer​(java.lang.String name)` |
    `Layer` | `OpenVectorLayer​(java.lang.String name, java.util.Vector options)` |
    `MDArray` | `ResolveMDArray​(java.lang.String name, java.lang.String starting_point)` |
    `MDArray` | `ResolveMDArray​(java.lang.String name, java.lang.String starting_point, java.util.Vector options)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName()

    - #### GetFullName

          public java.lang.String GetFullName()

    - #### GetMDArrayNames

          public java.util.Vector GetMDArrayNames​(java.util.Vector options)

    - #### GetMDArrayNames

          public java.util.Vector GetMDArrayNames()

    - #### OpenMDArray

          public MDArray OpenMDArray​(java.lang.String name,
                                     java.util.Vector options)

    - #### OpenMDArray

          public MDArray OpenMDArray​(java.lang.String name)

    - #### OpenMDArrayFromFullname

          public MDArray OpenMDArrayFromFullname​(java.lang.String name,
                                                 java.util.Vector options)

    - #### OpenMDArrayFromFullname

          public MDArray OpenMDArrayFromFullname​(java.lang.String name)

    - #### ResolveMDArray

          public MDArray ResolveMDArray​(java.lang.String name,
                                        java.lang.String starting_point,
                                        java.util.Vector options)

    - #### ResolveMDArray

          public MDArray ResolveMDArray​(java.lang.String name,
                                        java.lang.String starting_point)

    - #### GetGroupNames

          public java.util.Vector GetGroupNames​(java.util.Vector options)

    - #### GetGroupNames

          public java.util.Vector GetGroupNames()

    - #### OpenGroup

          public Group OpenGroup​(java.lang.String name,
                                 java.util.Vector options)

    - #### OpenGroup

          public Group OpenGroup​(java.lang.String name)

    - #### OpenGroupFromFullname

          public Group OpenGroupFromFullname​(java.lang.String name,
                                             java.util.Vector options)

    - #### OpenGroupFromFullname

          public Group OpenGroupFromFullname​(java.lang.String name)

    - #### GetVectorLayerNames

          public java.util.Vector GetVectorLayerNames​(java.util.Vector options)

    - #### GetVectorLayerNames

          public java.util.Vector GetVectorLayerNames()

    - #### OpenVectorLayer

          public Layer OpenVectorLayer​(java.lang.String name,
                                       java.util.Vector options)

    - #### OpenVectorLayer

          public Layer OpenVectorLayer​(java.lang.String name)

    - #### GetAttribute

          public Attribute GetAttribute​(java.lang.String name)

    - #### GetStructuralInfo

          public java.util.Hashtable GetStructuralInfo()

    - #### CreateGroup

          public Group CreateGroup​(java.lang.String name,
                                   java.util.Vector options)

    - #### CreateGroup

          public Group CreateGroup​(java.lang.String name)

    - #### CreateDimension

          public Dimension CreateDimension​(java.lang.String name,
                                           java.lang.String type,
                                           java.lang.String direction,
                                           java.math.BigInteger size,
                                           java.util.Vector options)

    - #### CreateDimension

          public Dimension CreateDimension​(java.lang.String name,
                                           java.lang.String type,
                                           java.lang.String direction,
                                           java.math.BigInteger size)

    - #### CreateAttribute

          public Attribute CreateAttribute​(java.lang.String name,
                                           int nDimensions,
                                           SWIGTYPE_p_GUIntBig dimensions,
                                           ExtendedDataType data_type,
                                           java.util.Vector options)

    - #### CreateAttribute

          public Attribute CreateAttribute​(java.lang.String name,
                                           int nDimensions,
                                           SWIGTYPE_p_GUIntBig dimensions,
                                           ExtendedDataType data_type)